package com.esignlive.example;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.Placeholder;

import static com.silanis.esl.sdk.builder.DocumentBuilder.newDocumentWithName;
import static com.silanis.esl.sdk.builder.PackageBuilder.newPackageNamed;
import static com.silanis.esl.sdk.builder.SignatureBuilder.signatureFor;
import static com.silanis.esl.sdk.builder.SignerBuilder.newSignerWithEmail;
import static com.silanis.esl.sdk.builder.SignerBuilder.newSignerPlaceholder;

public class Templates {
	
	public static final String API_KEY = "api_key";
    public static final String API_URL = "https://sandbox.e-signlive.com/api"; 
    // USE https://apps.e-signlive.com/api FOR PRODUCTION
 
    public static void main( String[] args ) {
    	
    	EslClient eslClient = new EslClient( API_KEY, API_URL );
    	
    	DocumentPackage documentPackage = newPackageNamed("My template from scratch Java SDK Placeholder") 
    					.withSigner(newSignerPlaceholder(new Placeholder("PlaceholderId1"))) 
    					.withSigner(newSignerPlaceholder(new Placeholder("PlaceholderId2")))
    					.withDocument(newDocumentWithName("My Document") 
    							.fromFile("DOC_FILE_PATH") 
    							.withSignature(signatureFor(new Placeholder("PlaceholderId1")) 
    									.onPage(0) 
    									.atPosition(100, 140))
    							.withSignature(signatureFor(new Placeholder("PlaceholderId2"))
    									.onPage(0) 
    									.atPosition(100, 205)))
    					.build();
    	
    	PackageId templateId = eslClient.getTemplateService().createTemplate(documentPackage);
    	
//    	PackageId packageId = new PackageId("d9355f04-9bb2-4219-b9fa-734f2650a939");
//    	PackageId templateFromPackage = eslClient.getTemplateService().createTemplateFromPackage(packageId, "New Template From Package" );
    }

}
